<html>
<head>
<title>Ogre::MovableObject::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MovableObject::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MovableObject::Listener" -->
<p><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html" title="Listener which gets called back on MovableObject events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> events.  
 <a href="classOgre_1_1MovableObject_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>&gt;</code></p>

<p><a href="classOgre_1_1MovableObject_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a358139c1e09d4c36c050861bd4f5b37e">Listener</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a7731592ff0013b724f0be7a319a73fa8">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a0cc50a90dbeb3d1049e923ee5866a636">objectDestroyed</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> is being destroyed.  <a href="#a0cc50a90dbeb3d1049e923ee5866a636"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a67127c7e6254c75a3e3f064e614a8152">objectAttached</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> has been attached to a node.  <a href="#a67127c7e6254c75a3e3f064e614a8152"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#aa2a6f73325a1609a522a9d6dce5168cf">objectDetached</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> has been detached from a node.  <a href="#aa2a6f73325a1609a522a9d6dce5168cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a7383d0ff8a3e3777378e1a9f9661146f">objectMoved</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> has been moved.  <a href="#a7383d0ff8a3e3777378e1a9f9661146f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a3935f0e525d63b03923aa67b137c0695">objectRendering</a> (const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the movable object of the camera to be used for rendering.  <a href="#a3935f0e525d63b03923aa67b137c0695"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#ad53d3feb40d1d1fb81db1cb620df6d8e">objectQueryLights</a> (const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the movable object needs to query a light list.  <a href="#ad53d3feb40d1d1fb81db1cb620df6d8e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html" title="Listener which gets called back on MovableObject events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> events. </p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00064">64</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a358139c1e09d4c36c050861bd4f5b37e"></a><!-- doxytag: member="Ogre::MovableObject::Listener::Listener" ref="a358139c1e09d4c36c050861bd4f5b37e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a358139c1e09d4c36c050861bd4f5b37e">Ogre::MovableObject::Listener::Listener</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7731592ff0013b724f0be7a319a73fa8"></a><!-- doxytag: member="Ogre::MovableObject::Listener::~Listener" ref="a7731592ff0013b724f0be7a319a73fa8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a7731592ff0013b724f0be7a319a73fa8">Ogre::MovableObject::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00068">68</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a67127c7e6254c75a3e3f064e614a8152"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectAttached" ref="a67127c7e6254c75a3e3f064e614a8152" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a67127c7e6254c75a3e3f064e614a8152">Ogre::MovableObject::Listener::objectAttached</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> has been attached to a node. </p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0cc50a90dbeb3d1049e923ee5866a636"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectDestroyed" ref="a0cc50a90dbeb3d1049e923ee5866a636" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a0cc50a90dbeb3d1049e923ee5866a636">Ogre::MovableObject::Listener::objectDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> is being destroyed. </p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00070">70</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa2a6f73325a1609a522a9d6dce5168cf"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectDetached" ref="aa2a6f73325a1609a522a9d6dce5168cf" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#aa2a6f73325a1609a522a9d6dce5168cf">Ogre::MovableObject::Listener::objectDetached</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> has been detached from a node. </p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00074">74</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7383d0ff8a3e3777378e1a9f9661146f"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectMoved" ref="a7383d0ff8a3e3777378e1a9f9661146f" args="(MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a7383d0ff8a3e3777378e1a9f9661146f">Ogre::MovableObject::Listener::objectMoved</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> has been moved. </p>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00076">76</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad53d3feb40d1d1fb81db1cb620df6d8e"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectQueryLights" ref="ad53d3feb40d1d1fb81db1cb620df6d8e" args="(const MovableObject *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a>* <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#ad53d3feb40d1d1fb81db1cb620df6d8e">Ogre::MovableObject::Listener::objectQueryLights</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the movable object needs to query a light list. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If you want to customize light finding for this object, you should override this method and hook into <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> via <a class="el" href="classOgre_1_1MovableObject.html#a9efbb3928b834d4f125303698034951e" title="Sets a listener for this object.">MovableObject::setListener</a>. Be aware that the default method caches results within a frame to prevent unnecessary recalculation, so if you override this you should provide your own caching to maintain performance. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you use texture shadows, there is an additional restriction - since the lights which should have shadow textures rendered for them are determined based on the entire frustum, and not per-object, it is important that the lights returned at the start of this list (up to the number of shadow textures available) are the same lights that were used to generate the shadow textures, and they are in the same order (particularly for additive effects). </dd>
<dd>
This method will not be called for additive stencil shadows since the light list cannot be varied per object with this technique. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to a light list if you populated the light list yourself, or NULL to fall back on the default finding process. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00104">104</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3935f0e525d63b03923aa67b137c0695"></a><!-- doxytag: member="Ogre::MovableObject::Listener::objectRendering" ref="a3935f0e525d63b03923aa67b137c0695" args="(const MovableObject *, const Camera *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a3935f0e525d63b03923aa67b137c0695">Ogre::MovableObject::Listener::objectRendering</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when the movable object of the camera to be used for rendering. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if allows queue for rendering, false otherwise. </dd></dl>

<p>Definition at line <a class="el" href="OgreMovableObject_8h_source.html#l00081">81</a> of file <a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
